Package io.strimzi.systemtest.resources.crd

## Class KafkaClientsResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaClientsResource

-     public class KafkaClientsResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaClientsResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.fabric8.kubernetes.api.model.apps.Deployment` | `createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.apps.Deployment deployment)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `deployKafkaClients​(boolean tlsListener, String kafkaClientsName, boolean hostnameVerification, io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `deployKafkaClients​(boolean tlsListener, String kafkaClientsName, boolean hostnameVerification, String listenerName, String secretPrefix, io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `deployKafkaClients​(boolean tlsListener, String kafkaClientsName, io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `deployKafkaClients​(boolean tlsListener, String kafkaClientsName, String listenerName, io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `deployKafkaClients​(String kafkaClusterName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaClientsResource

          public KafkaClientsResource()

  - ### Method Detail

    - #### deployKafkaClients

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder deployKafkaClients​(String kafkaClusterName)

    - #### deployKafkaClients

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder deployKafkaClients​(boolean tlsListener,
                                                                                                  String kafkaClientsName,
                                                                                                  io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)

    - #### deployKafkaClients

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder deployKafkaClients​(boolean tlsListener,
                                                                                                  String kafkaClientsName,
                                                                                                  String listenerName,
                                                                                                  io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)

    - #### deployKafkaClients

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder deployKafkaClients​(boolean tlsListener,
                                                                                                  String kafkaClientsName,
                                                                                                  boolean hostnameVerification,
                                                                                                  io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)

    - #### deployKafkaClients

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder deployKafkaClients​(boolean tlsListener,
                                                                                                  String kafkaClientsName,
                                                                                                  boolean hostnameVerification,
                                                                                                  String listenerName,
                                                                                                  String secretPrefix,
                                                                                                  io.strimzi.api.kafka.model.KafkaUser... kafkaUsers)

    - #### createAndWaitForReadiness

          public static io.fabric8.kubernetes.api.model.apps.Deployment createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.apps.Deployment deployment)